Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infoml.jaxb
Interface PropertiesType

All Known Implementing Classes:
  PropertiesTypeImpl

    public interface PropertiesType

Contains various key-value pairs that are associated with the current infocard. Java content class for propertiesType complex type.

The following schema fragment specifies the expected content contained within this java content object. (defined at file:/Users/gw/tech/ecl-wkspaces-infoml/InfOrg-101105-stable-v1_0/InfocardOrganizer-v1_0/infomlFile.xsd line 283)

     <complexType name="propertiesType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="dvprTitle" type="{http://infoml.org/infomlFile}simpleRichTextWithOwnerReplaceType" minOccurs="0"/>
             <element name="userTitle" type="{http://infoml.org/infomlFile}simpleRichTextWithOwnerReplaceType" minOccurs="0"/>
             <element name="cardAuthor" type="{http://infoml.org/infomlFile}agentType" minOccurs="0"/>
             <element name="dateCreated" type="{http://infoml.org/infomlFile}dateType" minOccurs="0"/>
             <element name="dateModified" type="{http://infoml.org/infomlFile}dateType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Method Summary
`AgentType` | `getCardAuthor()` Gets the value of the cardAuthor property.
`java.io.Serializable` | `getDateCreated()` Gets the value of the dateCreated property.
`java.util.List` | `getDateModified()` Gets the value of the DateModified property.
`SimpleRichTextWithOwnerReplaceType` | `getDvprTitle()` Gets the value of the dvprTitle property.
`SimpleRichTextWithOwnerReplaceType` | `getUserTitle()` Gets the value of the userTitle property.
`void` | `setCardAuthor(AgentType value)` Sets the value of the cardAuthor property.
`void` | `setDateCreated(java.io.Serializable value)` Sets the value of the dateCreated property.
`void` | `setDvprTitle(SimpleRichTextWithOwnerReplaceType value)` Sets the value of the dvprTitle property.
`void` | `setUserTitle(SimpleRichTextWithOwnerReplaceType value)` Sets the value of the userTitle property.

Method Detail

### getUserTitle

    SimpleRichTextWithOwnerReplaceType getUserTitle()

  Gets the value of the userTitle property.

  Returns:
    possible object is `SimpleRichTextWithOwnerReplaceType`

### setUserTitle

    void setUserTitle(SimpleRichTextWithOwnerReplaceType value)

  Sets the value of the userTitle property.

  Parameters:
    `value` - allowed object is `SimpleRichTextWithOwnerReplaceType`

### getDateModified

    java.util.List getDateModified()

  Gets the value of the DateModified property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the DateModified property.

  For example, to add a new item, do as follows:

          getDateModified().add(newItem);

  Objects of the following type(s) are allowed in the list `String` `String` `Calendar` `Calendar`

### getCardAuthor

    AgentType getCardAuthor()

  Gets the value of the cardAuthor property.

  Returns:
    possible object is `AgentType`

### setCardAuthor

    void setCardAuthor(AgentType value)

  Sets the value of the cardAuthor property.

  Parameters:
    `value` - allowed object is `AgentType`

### getDateCreated

    java.io.Serializable getDateCreated()

  Gets the value of the dateCreated property.

  Returns:
    possible object is `Calendar` `Calendar` `String` `String`

### setDateCreated

    void setDateCreated(java.io.Serializable value)

  Sets the value of the dateCreated property.

  Parameters:
    `value` - allowed object is `Calendar` `Calendar` `String` `String`

### getDvprTitle

    SimpleRichTextWithOwnerReplaceType getDvprTitle()

  Gets the value of the dvprTitle property.

  Returns:
    possible object is `SimpleRichTextWithOwnerReplaceType`

### setDvprTitle

    void setDvprTitle(SimpleRichTextWithOwnerReplaceType value)

  Sets the value of the dvprTitle property.

  Parameters:
    `value` - allowed object is `SimpleRichTextWithOwnerReplaceType`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD